# Marketplace Work Orders from Storage **GET /v1/marketplace_work_orders** Retrieve work order items from storage (where work_orders.receivable_type IS NULL) for the authenticated 3PL customer. ## Servers - Public API: https://api.pattern.com/hub (Public API) - Staging API: https://stage-api.pattern.com/hub (Staging API) ## Authentication methods - Bearer auth ## Parameters ### Query parameters - **id** (integer) Filter by work order item ID - **sku** (string) Filter by listing SKU - **status** (string) Filter by status (Open or Closed) - **created_after** (string) Filter by created after date - **created_before** (string) Filter by created before date - **marketplace** (string) Filter by marketplace name - **page** (integer) Page number - **per_page** (integer) Results per page - **include_inventory** (boolean) When true, includes inventory_transactions and inventory_movements per work order item ## Responses ### 200 Includes inventory transactions and movements #### Body: application/json (array[object]) - **work_order_id** (integer) - **items** (array[object]) ### 422 Invalid search parameters ### 401 Unauthorized when org_id is missing [Powered by Bump.sh](https://bump.sh)